
/** I N C L U D E S **********************************************************/
#include <p18cxxx.h>
#include "system\typedefs.h"
#include "system\usb\usb.h"
#include "io_cfg.h"             // I/O pin mapping
#include "user.h"
#include "delays.h"
/** V A R I A B L E S ********************************************************/
#pragma udata
char RxBuffer[64];
char TxBuffer[64];
/** D E C L A R A T I O N S **************************************************/
#pragma code
void UserInit(void)
{
	//dsactiver le module CCP
    CCP1CON=0;
    //dsactiver le convertisseur analogique numerique
    ADCON1=0x0F;    
// on charge les registres TRISA TRISB TRISC TRISD et TRISE 
// bit a 1 pour les entrees 0 pour les sorties
    TRISA =0;
	TRISB =0;
	TRISC =0;
	TRISD =0;
	TRISE =0;
}//end UserInit

void ProcessIO(void)
{   
	if (HIDRxReport(RxBuffer,PacketSize ) > 0) // USB receive buffer has data
		{
			if (RxBuffer[0] =1)
    			{	
				PORTBbits.RB2 = RxBuffer[1] ;
				PORTBbits.RB0 = RxBuffer[2] ;
				PORTBbits.RB1 = RxBuffer[3] ;
				PORTDbits.RD7 = RxBuffer[4] ;
				PORTBbits.RB3 = RxBuffer[5] ;
				PORTDbits.RD6 = RxBuffer[6] ;
				PORTDbits.RD4 = RxBuffer[7] ;
				PORTDbits.RD3 = RxBuffer[8] ;		
				PORTDbits.RD1 = RxBuffer[9] ;
				PORTDbits.RD2 = RxBuffer[10] ;
				PORTDbits.RD0 = RxBuffer[11] ;
				PORTAbits.RA0 = RxBuffer[12] ;
				PORTCbits.RC2 = RxBuffer[13] ;
				PORTAbits.RA1 = RxBuffer[14] ;
				PORTCbits.RC1 = RxBuffer[15] ;
				PORTAbits.RA2 = RxBuffer[16] ;
				PORTCbits.RC0 = RxBuffer[17] ;
				PORTAbits.RA3 = RxBuffer[18] ;
				PORTEbits.RE2 = RxBuffer[19] ;
				PORTAbits.RA4 = RxBuffer[20] ;
				PORTEbits.RE1 = RxBuffer[21] ;
				PORTAbits.RA5 = RxBuffer[22] ;
				PORTEbits.RE0 = RxBuffer[23] ;
				}
		}
}//end ProcessIO
